<?php
/**
 * Plugin Name: Cookie Plus - Master Popups Addon
 * Plugin URI: http://masterpopups.com
 * Description: Cookie Plus is a Complete GDPR Cookie Consent Solution for WordPress
 * Version: 1.5.2
 * Author: CodexHelp
 * Author URI: https://codecanyon.net/user/codexhelp
 * Text Domain: master-popups-addon-cookieplus
 */


if( class_exists( 'MasterPopupsAddonCookiePlus\Loader', false ) ){
    return;
}
include dirname( __FILE__ ) . '/loader.php';
$loader = MasterPopupsAddonCookiePlus\Loader::get_instance(array(
    'master-popups*/master-popups.php',
));


if( ! class_exists( 'MasterPopupsAddonCookiePlus\Includes\CookiePlus', false ) ){
    include dirname( __FILE__ ) . '/includes/class-cookie-plus.php';
}

function CookiePlusMasterPopups(){
    return MasterPopupsAddonCookiePlus\Includes\CookiePlus::get_instance( array(
        'version' => '1.5.2',
        'name' => 'Cookie Plus - Master Popups Addon',
        'menu_title' => 'Cookie Plus',
        'slug' => 'mpp-cookieplus',
        'text_domain' => 'mpp-cookieplus',
        'settings_id' => 'settings-cookieplus',
        'prefix' => 'cpp_',
        'post_types'  => array(
            'consent_logs' => 'cookieplus-logs',
        ),
        'masterpopups' => array(
            'post_type' => 'master-popups',
            'settings_id' => 'settings-master-popups',
        ),
        'item_id' => '21984547',//CookiePlus
    ) );
}

CookiePlusMasterPopups();

