<?php

use MasterPopupsAddonCookiePlus\Includes\Options;

$xbox->add_field(array(
    'name' => '[GROUP 1] '.__('Very essential cookies and scripts', 'mpp-cookieplus'),
    'desc' => __('The cookies and scripts of this group are always active and are allowed because they are necessary', 'mpp-cookieplus'),
    'type' => 'title',
));
$xbox->add_field(array(
    'id' => 'group-1-title',
    'name' => __('Cookie group title', 'mpp-cookieplus'),
    'type' => 'text',
    'default' => self::$defaults['group-1-title'],
    'grid' => '2-of-6',
));
$xbox->add_field(array(
    'id' => 'group-1-content',
    'name' => __('Content', 'mpp-cookieplus'),
    'type' => 'wp_editor',
    'default' => self::$defaults['group-1-content'],
    'options' => array(
        'editor_height' => 180,
    ),
));


Options::script_options_for_all_cookie_groups($xbox, 1);