<?php

use MasterPopupsAddonCookiePlus\Includes\Options;

$xbox->add_field(array(
    'name' => '[GROUP 4]',
    'type' => 'title',
));
$xbox->add_field(array(
    'id' => 'group-4-enabled',
    'name' => __('Enable group', 'mpp-cookieplus'),
    'desc' => __('If you deactivate it, this cookie group will never be used', 'mpp-cookieplus'),
    'type' => 'switcher',
    'default' => self::$defaults['group-4-enabled'],
));
$xbox->add_field(array(
    'id' => 'group-4-initial-consent',
    'name' => __('Initial consent', 'mpp-cookieplus'),
    'desc' => __('If enabled, cookies and scripts are allowed. This value can be changed by each user according to their cookie preferences.', 'mpp-cookieplus'),
    'type' => 'switcher',
    'default' => self::$defaults['group-4-initial-consent'],
));
$xbox->add_field( array(
    'id' => 'group-4-title',
    'name' => __('Cookie group title', 'mpp-cookieplus'),
    'type' => 'text',
    'default' => self::$defaults['group-4-title'],
    'grid' => '2-of-6',
));
$xbox->add_field( array(
    'id' => 'group-4-content',
    'name' => __('Content', 'mpp-cookieplus'),
    'type' => 'wp_editor',
    'default' => self::$defaults['group-4-content'],
    'options' => array(
        'editor_height' => 180,
    ),
));

Options::script_options_for_all_cookie_groups($xbox, 4);