<?php
$xbox->open_mixed_field( array(
    'name' => __( 'Activate Cookie Blocker in Countries', 'mpp-cookieplus' ),
) );
$xbox->add_field( array(
    'id' => 'cookieplus-activate-all-countries',
    'name' => __( 'All Countries', 'mpp-cookieplus' ),
    //'desc' => __( 'Activate this option and then select the countries in which you want to display the popup.', 'mpp-cookieplus' ),
    'type' => 'switcher',
    'default' => self::$defaults['cookieplus-activate-all-countries'],
    'grid' => '6-of-6',
) );
$xbox->add_field( array(
    'id' => 'cookieplus-activate-countries',
    'name' => __( 'Countries', 'mpp-cookieplus' ),
    'type' => 'select',
    'default' => self::$defaults['cookieplus-activate-countries'],
    'grid' => '6-of-6',
    'items' => XboxItems::countries(),
    'options' => array(
        'search' => true,
        'multiple' => true,
        'max_selections' => -1,
        //'show_if' => array('cookieplus-activate-all-countries', '=', 'off')
    ),
    'attributes' => array(
        'placeholder' => '- Select Countries -'
    )
) );
$xbox->add_field( array(
    'id' => 'cookieplus-activate-on-eu-countries',
    'name' => __( 'European Union', 'mpp-cookieplus' ),
    'desc' => __( 'Activate this option to include countries of the European Union.', 'mpp-cookieplus' ),
    'type' => 'switcher',
    'default' => self::$defaults['cookieplus-activate-on-eu-countries'],
) );
$xbox->close_mixed_field();

$xbox->open_mixed_field( array(
    'name' => __( 'Disable Cookie Blocker in Countries', 'mpp-cookieplus' ),
) );
$xbox->add_field( array(
    'id' => 'cookieplus-disable-all-countries',
    'name' => __( 'All Countries', 'mpp-cookieplus' ),
    //'desc' => __( 'Activate this option and then select the countries in which you want to hide the popup.', 'mpp-cookieplus' ),
    'type' => 'switcher',
    'default' => self::$defaults['cookieplus-disable-all-countries'],
    'grid' => '6-of-6',
) );
$xbox->add_field( array(
    'id' => 'cookieplus-disable-countries',
    'name' => __( 'Countries', 'mpp-cookieplus' ),
    'type' => 'select',
    'default' => self::$defaults['cookieplus-disable-countries'],
    'grid' => '6-of-6',
    'items' => XboxItems::countries(),
    'options' => array(
        'search' => true,
        'multiple' => true,
        'max_selections' => -1,
    ),
    'attributes' => array(
        'placeholder' => '- Select Countries -'
    )
) );
$xbox->add_field( array(
    'id' => 'cookieplus-disable-on-eu-countries',
    'name' => __( 'European Union', 'mpp-cookieplus' ),
    'desc' => __( 'Activate this option to include countries of the European Union.', 'mpp-cookieplus' ),
    'type' => 'switcher',
    'default' => self::$defaults['cookieplus-disable-on-eu-countries'],
) );
$xbox->close_mixed_field();

