<?php
$section_woocommerce->open_mixed_field(array('name' => __( 'Enable integration', 'mpp-cookieplus' )));
    $section_woocommerce->add_field( array(
        'id' => 'woocommerce-enabled',
        'desc' => __( 'Activate to add a checkbox to accept your privacy policy. You must choose a "Terms and conditions" page in WooCommerce > Settings > Checkout.', 'mpp-cookieplus' ),
        'type' => 'switcher',
        'default' => self::$defaults['woocommerce-enabled'],
        'grid' => '6-of-6',
        'options' => array(
            'show_name' => false
        )
    ));
    $section_woocommerce->add_field( array(
        'id' => 'woocommerce-policy-show-in',
        'name' => __('Show in', 'mpp-cookieplus'),
        'type' => 'checkbox',
        'default' => self::$defaults['woocommerce-policy-show-in'],
        'items' => array(
            'reviews' => 'Reviews form',
            'checkout' => 'Checkout page',
            'register' => 'Registration form',
        ),
        'options' => array(
            'show_if' => array('woocommerce-enabled', '=', 'on')
        )
    ));
$section_woocommerce->close_mixed_field();
$section_woocommerce->add_field( array(
    'id' => 'woocommerce-policy-text',
    'name' => __('Checkbox text', 'mpp-cookieplus'),
    'type' => 'text',
    'default' => self::$defaults['woocommerce-policy-text'],
    'grid' => '3-of-6',
));
$section_woocommerce->add_field( array(
    'id' => 'woocommerce-policy-validation-text',
    'name' => __('Validation message', 'mpp-cookieplus'),
    'type' => 'text',
    'default' => self::$defaults['woocommerce-policy-validation-text'],
    'grid' => '3-of-6',
));
