<?php
$xbox->add_field(array(
    'id' => 'cookieplus-use-has-cookie-settings',
    'name' => __( 'Cookie Settings Popup', 'mpp-cookieplus' ),
    'desc' => __( 'Activate this option to use this popup as a cookie settings.', 'mpp-cookieplus' ),
    'type' => 'switcher',
    'default' => self::$defaults['cookieplus-use-has-cookie-settings'],
    'grid' => '1-of-6',
    'options' => array(
    )
));
$xbox->add_field(array(
    'id' => 'cookieplus-action-on-close-popup',
    'name' => __( 'On Close Action', 'mpp-cookieplus' ),
    'desc' => __( 'When the popup closes, what do you want to do?', 'mpp-cookieplus' ),
    'type' => 'radio',
    'default' => self::$defaults['cookieplus-action-on-close-popup'],
    'items' => array(
        'none' => __( 'None', 'mpp-cookieplus' ),
        'accept-cookies' => __( 'Accept Cookies', 'mpp-cookieplus' ),
        'decline-cookies' => __( 'Decline Cookies', 'mpp-cookieplus' ),
    )
));
$xbox->add_field( array(
    'id' => 'cookieplus-show-popup-after-accept-cookies',
    'name' => __( 'Show Popup After Accept Cookies', 'mpp-cookieplus' ),
    'type' => 'switcher',
    'default' => self::$defaults['cookieplus-show-popup-after-accept-cookies'],
    'grid' => '6-of-6',
) );
$xbox->add_field( array(
    'id' => 'cookieplus-show-popup-after-decline-cookies',
    'name' => __( 'Show Popup After Decline Cookies', 'mpp-cookieplus' ),
    'type' => 'switcher',
    'default' => self::$defaults['cookieplus-show-popup-after-decline-cookies'],
    'grid' => '6-of-6',
) );
$xbox->add_field( array(
    'id' => 'cookieplus-disclaimer-enabled',
    'name' => __( 'Show Overlay Background', 'mpp-cookieplus' ),
    'desc' => __( 'Enable to hide the content until the user accepts cookies.', 'mpp-cookieplus' ),
    'type' => 'switcher',
    'default' => self::$defaults['cookieplus-disclaimer-enabled'],
    'grid' => '6-of-6',
) );
$xbox->add_field(array(
    'id' => 'cookieplus-info-sticky-control',
    'name' => __( 'Sticky Control for Cookie Settings', 'mpp-cookieplus' ),
    'desc' => __( 'Keep the popup open through a sticky control', 'mpp-cookieplus' ),
    'type' => 'html',
    'content' => 'Go to: General > Sticky > and enable Sticky control',

));