<?php

$xbox->open_mixed_field(array(
    'name' => __('Cookie Status Switcher', 'mpp-cookieplus'),
    'desc' => __('For switcher enable/disable cookie', 'mpp-cookieplus'),
));
    $xbox->add_field( array(
        'id' => 'texts-cookie-on',
        'name' => __('Active', 'mpp-cookieplus'),
        'type' => 'text',
        'default' => self::$defaults['texts-cookie-on'],
        'grid' => '2-of-6',
    ));
    $xbox->add_field( array(
        'id' => 'texts-cookie-off',
        'name' => __('Inactive', 'mpp-cookieplus'),
        'type' => 'text',
        'default' => self::$defaults['texts-cookie-off'],
        'grid' => '2-of-6',
    ));
    $xbox->add_field( array(
        'id' => 'texts-cookie-always-active',
        'name' => __('Always Active', 'mpp-cookieplus'),
        'type' => 'text',
        'default' => self::$defaults['texts-cookie-always-active'],
        'grid' => '2-of-6',
    ));
    $xbox->add_field(array(
        'id' => 'color-cookie-group-on',
        'name' => __('Active color', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['color-cookie-group-on'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'color-cookie-group-off',
        'name' => __('Inactive color', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['color-cookie-group-off'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
$xbox->close_mixed_field();


$xbox->open_mixed_field(array('name' => __('Accept All Cookies Button', 'mpp-cookieplus')));
    $xbox->add_field(array(
        'id' => 'btn-accept-cookies-bg',
        'name' => __('Background', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['btn-accept-cookies-bg'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'btn-accept-cookies-bg-hover',
        'name' => __('Background on hover', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['btn-accept-cookies-bg-hover'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'btn-accept-cookies-color',
        'name' => __('Font color', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['btn-accept-cookies-color'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array('name' => __('Save Settings Button', 'mpp-cookieplus')));
    $xbox->add_field(array(
        'id' => 'btn-save-settings-bg',
        'name' => __('Background', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['btn-save-settings-bg'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'btn-save-settings-bg-hover',
        'name' => __('Background on hover', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['btn-save-settings-bg-hover'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'btn-save-settings-color',
        'name' => __('Font color', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['btn-save-settings-color'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array('name' => __('Decline Cookies Button', 'mpp-cookieplus')));
$xbox->add_field(array(
    'id' => 'btn-decline-cookies-bg',
    'name' => __('Background', 'mpp-cookieplus'),
    'type' => 'colorpicker',
    'default' => self::$defaults['btn-decline-cookies-bg'],
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'btn-decline-cookies-bg-hover',
    'name' => __('Background on hover', 'mpp-cookieplus'),
    'type' => 'colorpicker',
    'default' => self::$defaults['btn-decline-cookies-bg-hover'],
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'btn-decline-cookies-color',
    'name' => __('Font color', 'mpp-cookieplus'),
    'type' => 'colorpicker',
    'default' => self::$defaults['btn-decline-cookies-color'],
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->close_mixed_field();
