<?php

$xbox->open_mixed_field(array('name' => __('Tab Container', 'mpp-cookieplus')));
    $xbox->add_field(array(
        'id' => 'tab-container-bg',
        'name' => __('Background', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-container-bg'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
            'show_if' => array('theme', '=', 'classic')
        ),
    ));
    $xbox->add_field(array(
        'id' => 'tab-container-font-size',
        'name' => __('Base font size', 'mpp-cookieplus'),
        'type' => 'number',
        'default' => self::$defaults['tab-container-font-size'],
        'attributes' => array(
            'min' => 1
        ),
        'options' => array(
            'show_spinner' => true,
            //'show_unit' => false,
        )
    ));
    $xbox->add_field(array(
        'id' => 'tab-container-line-height',
        'name' => __('Base line height', 'mpp-cookieplus'),
        'type' => 'number',
        'default' => self::$defaults['tab-container-line-height'],
        'attributes' => array(
            'min' => 0,
            'step' => 0.1,
            'precision' => 1
        ),
        'options' => array(
            'show_spinner' => true,
            'unit' => 'EM',
        )
    ));
    $xbox->add_field(array(
        'id' => 'tab-container-border-color',
        'name' => __('Border color', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-container-border-color'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'tab-container-border-radius',
        'name' => __('Border radius', 'mpp-cookieplus'),
        'type' => 'number',
        'default' => self::$defaults['tab-container-border-radius'],
        'attributes' => array(
            'min' => 0,
        ),
        'options' => array(
            'show_spinner' => true,
        )
    ));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array('name' => __('Tab Item', 'mpp-cookieplus')));
    $xbox->add_field(array(
        'id' => 'tab-item-bg',
        'name' => __('Background', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-item-bg'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'tab-item-color',
        'name' => __('Font color', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-item-color'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'tab-item-color-hover',
        'name' => __('Font color on hover', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-item-color-hover'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'tab-item-border-color',
        'name' => __('Border color', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-item-border-color'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'tab-item-border-radius',
        'name' => __('Border radius', 'mpp-cookieplus'),
        'type' => 'number',
        'default' => self::$defaults['tab-item-border-radius'],
        'attributes' => array(
            'min' => 0,
        ),
        'options' => array(
            'show_spinner' => true,
        )
    ));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array('name' => __('Tab Item Active', 'mpp-cookieplus')));
    $xbox->add_field(array(
        'id' => 'tab-item-active-bg',
        'name' => __('Background', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-item-active-bg'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'tab-item-active-color',
        'name' => __('Font color', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-item-active-color'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
    $xbox->add_field(array(
        'id' => 'tab-item-active-border-color',
        'name' => __('Border color', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-item-active-border-color'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array('name' => __('Tab Content', 'mpp-cookieplus')));
    $xbox->add_field(array(
        'id' => 'tab-content-bg',
        'name' => __('Background', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-content-bg'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
            'show_if' => array('theme', '=', 'classic')
        ),
    ));
    $xbox->add_field(array(
        'id' => 'tab-content-bg-modern',
        'name' => __('Background', 'mpp-cookieplus'),
        'type' => 'colorpicker',
        'default' => self::$defaults['tab-content-bg-modern'],
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
            'show_if' => array('theme', '=', 'modern')
        ),
    ));
    $xbox->add_field(array(
        'id' => 'tab-content-padding',
        'name' => __('Padding', 'mpp-cookieplus'),
        'type' => 'text',
        'default' => self::$defaults['tab-content-padding'],
        'grid' => '2-of-8',
        'options' => array(
            'format' => 'rgba',
            'opacity' => '1',
        ),
    ));
$xbox->close_mixed_field();


