<?php

use MasterPopupsAddonCookiePlus\Includes\Functions;


function cookieplus_cookie_list_table(){
    $return = '';
    $cookies = $_COOKIE;
    ksort( $cookies );

    if( Functions::is_empty( $cookies ) ){
        return $return;
    }

    $return .= "<table id='cpp-table-cookie-list' class='ampp-table'>";
    $return .= "<thead><tr>";
    $return .= "<th>" . __( 'Cookie Name', 'masterpopups' ) . "</th>";
    $return .= "<th>" . __( 'Cookie Value', 'masterpopups' ) . "</th>";
    $return .= "</tr></thead><tbody>";

    foreach( $cookies as $name => $value ){
        $return .= "<tr>";
        $return .= "<td>{$name}</td>";
        $return .= "<td>{$value}</td>";
        $return .= "</tr>";
    }
    $return .= "</tbody></table>";
    return $return;
}

$xbox->add_field(array(
    'type' => 'title',
    'name' => __('Cookie List', 'mpp-cookieplus'),
));

$xbox->add_field(array(
    'id' => 'cookie-list',
    'type' => 'html',
    'options' => array(
        'show_name' => false,
    ),
    'content' => cookieplus_cookie_list_table(),
    'grid' => '8-of-8',
));