<?php

$section_cf7->open_mixed_field(array(
    'name' => __( 'Enable integration', 'mpp-cookieplus' ),
));
    $section_cf7->add_field( array(
        'id' => 'cf7-enabled',
        'desc' => __( 'Activate to show a checkbox at the end of the Contact Form 7 to accept your privacy policy.', 'mpp-cookieplus' ),
        'type' => 'switcher',
        'default' => self::$defaults['cf7-enabled'],
        'grid' => '6-of-6',
        'options' => array(
            'show_name' => false
        )
    ));
    $shortcode_policy = '';
    $shortcode_policy .= '<textarea class="ampp-input-selector" readonly style="display: block; width: 100%; height: 40px; min-height: 40px;">';
    $shortcode_policy .= '[cookieplus_checkbox_accept_policy]';
    $shortcode_policy .= '</textarea>';

    $section_cf7->add_field(array(
        'id' => 'cf7-tag',
        'name' => 'Custom Form-Tag',
        'type' => 'html',
        'content' => $shortcode_policy,
        'grid' => '8-of-8',
    ));
    $section_cf7->add_field(array(
        'id' => 'cf7-tag-auto',
        'name' => __('Insert checkbox automatically', 'mpp-cookieplus'),
        'desc' => __("We will automatically add the checkbox to the end of all Contact Form 7 forms. If you don't want that, disable this option and use the above code to add manually.", 'mpp-cookieplus'),
        'type' => 'switcher',
        'default' => self::$defaults['cf7-tag-auto'],
        'grid' => '8-of-8',
    ));
$section_cf7->close_mixed_field();


$section_cf7->add_field( array(
    'id' => 'cf7-policy-text',
    'name' => __('Checkbox text', 'mpp-cookieplus'),
    'type' => 'text',
    'default' => self::$defaults['cf7-policy-text'],
    'grid' => '3-of-6',
));
$section_cf7->add_field( array(
    'id' => 'cf7-policy-validation-text',
    'name' => __('Validation message', 'mpp-cookieplus'),
    'type' => 'text',
    'default' => self::$defaults['cf7-policy-validation-text'],
    'grid' => '3-of-6',
));